framework:
    mailer:
        dsn: '%env(MAILER_DSN)%'


when@test: &mailer_test
    framework:
        cache:
            pools:
                test.mailer_pool:
                    adapter: cache.adapter.filesystem


when@test_cached: *mailer_test


sylius_mailer:
    sender:
        name: 'Château Réaut'
        address: 'no-reply@chateau-reaut.com'
    
    emails:
        order_paid_notification:
            subject: "Nouvelle commande sur la boutique"
            template: 'emails/order_paid_notification.html.twig'
            sender:
                name: "Château Réaut"
                address: "no-reply@chateau-reaut.com"
        
        order_paid_confirmation:
            subject: "Votre commande est passé avec succès"
            template: 'emails/order_paid_confirmation.html.twig'
            sender:
                name: "Château Réaut"
                address: "no-reply@chateau-reaut.com"

        order_confirmation:
            enabled: false
        

